import enum

from dataclasses import dataclass


@dataclass
class Reference:
    id: str
    collection_id: str
    disabled: bool = False


class State(str, enum.Enum):
    DRAFT = "DRAFT"
    PUBLISHED = "PUBLISHED"
    CHANGED = "CHANGED"
    ARCHIVED = "ARCHIVED"
